Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp.extensions
Class AFPPageSegmentElement.AFPPageSegmentSetup

    java.lang.Object
      org.apache.fop.render.afp.extensions.AFPExtensionAttachment
          org.apache.fop.render.afp.extensions.AFPPageSetup
              org.apache.fop.render.afp.extensions.AFPPageSegmentElement.AFPPageSegmentSetup

All Implemented Interfaces:
  java.io.Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

Enclosing class:
  AFPPageSegmentElement

    public static class AFPPageSegmentElement.AFPPageSegmentSetup

extends AFPPageSetup

This is the pass-through value object for the AFP extension.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.fop.render.afp.extensions.AFPPageSetup
`ATT_ENCODING, ATT_PLACEMENT, ATT_VALUE, content, encoding, placement, value`

Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment
`ATT_NAME, CATEGORY, elementName, name`

Constructor Summary
`AFPPageSegmentElement.AFPPageSegmentSetup(java.lang.String elementName)` Default constructor.

Method Summary
`java.lang.String` | `getResourceSrc()` Returns the source URI for the page segment.
`void` | `setResourceSrc(java.lang.String resourceSrc)` Sets the source URI for the page segment.
`void` | `toSAX(org.xml.sax.ContentHandler handler)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.render.afp.extensions.AFPPageSetup
`getContent, getEncoding, getPlacement, getValue, setContent, setEncoding, setPlacement, setValue`

Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment
`getCategory, getElementName, getName, hasName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AFPPageSegmentElement.AFPPageSegmentSetup

    public AFPPageSegmentElement.AFPPageSegmentSetup(java.lang.String elementName)

  Default constructor.

  Parameters:
    `elementName` - the name of the setup code object, may be null

Method Detail

### getResourceSrc

    public java.lang.String getResourceSrc()

  Returns the source URI for the page segment.

  Returns:
    the source URI

### setResourceSrc

    public void setResourceSrc(java.lang.String resourceSrc)

  Sets the source URI for the page segment.

  Parameters:
    `resourceSrc` - the source URI

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Specified by:
    `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
  Overrides:
    `toSAX` in class `AFPPageSetup`
  Throws:
    `org.xml.sax.SAXException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AFPPageSetup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.